# Generated by rust2rpm 21
%bcond_without check

# Install all deps (without check), grab their licenses and make it simple
# * ASL 2.0
# * ASL 2.0 or MIT
# * BSD
# * ISC
# * MIT
# * MIT or ASL 2.0
# * Unlicense or MIT
# * zlib
# * zlib or ASL 2.0 or MIT
%global binary_license BSD and ASL 2.0 and ISC and MIT and zlib

%global crate rav1e

Name:           rust-%{crate}
Version:        0.5.1
Release:        %autorelease
Summary:        Fastest and safest AV1 encoder

# Upstream license specification: BSD-2-Clause
# src/ext/x86/x86inc.asm is under ISC, https://github.com/xiph/rav1e/issues/2181
License:        BSD and ISC
URL:            https://crates.io/crates/rav1e
Source:         %{crates_source}
# Initial patched metadata
# * Bump console to 0.15
# * Bump system-deps to 6
# * Remove fuzzing dependencies
# * Bump system-deps dependency from 3.1.2 to 6
Patch0:         rav1e-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fastest and safest AV1 encoder.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license PATENTS LICENSE
%doc README.md
%{_bindir}/rav1e

%package     -n %{crate}-libs
Summary:        Library files for rav1e
License:        %{binary_license}

%description -n %{crate}-libs
Library files for rav1e, the fastest and safest AV1 encoder.

%files       -n %{crate}-libs
%license LICENSE PATENTS
%{_libdir}/librav1e.so.0*

%package        devel
Summary:        %{summary}
Requires:       %{crate}-libs%{?_isa} = %{version}-%{release}

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/PATENTS
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%{_includedir}/rav1e/
%{_libdir}/librav1e.so
%{_libdir}/pkgconfig/rav1e.pc

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aom-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aom-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "aom-sys" feature of the "%{crate}" crate.

%files       -n %{name}+aom-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+asm-devel %{_description}

This package contains library source intended for building other packages which
use the "asm" feature of the "%{crate}" crate.

%files       -n %{name}+asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+av-metrics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+av-metrics-devel %{_description}

This package contains library source intended for building other packages which
use the "av-metrics" feature of the "%{crate}" crate.

%files       -n %{name}+av-metrics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bench-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bench-devel %{_description}

This package contains library source intended for building other packages which
use the "bench" feature of the "%{crate}" crate.

%files       -n %{name}+bench-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+binaries-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+binaries-devel %{_description}

This package contains library source intended for building other packages which
use the "binaries" feature of the "%{crate}" crate.

%files       -n %{name}+binaries-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+byteorder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+byteorder-devel %{_description}

This package contains library source intended for building other packages which
use the "byteorder" feature of the "%{crate}" crate.

%files       -n %{name}+byteorder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cc-devel %{_description}

This package contains library source intended for building other packages which
use the "cc" feature of the "%{crate}" crate.

%files       -n %{name}+cc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+channel-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+channel-api-devel %{_description}

This package contains library source intended for building other packages which
use the "channel-api" feature of the "%{crate}" crate.

%files       -n %{name}+channel-api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+check_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+check_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "check_asm" feature of the "%{crate}" crate.

%files       -n %{name}+check_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+console-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+console-devel %{_description}

This package contains library source intended for building other packages which
use the "console" feature of the "%{crate}" crate.

%files       -n %{name}+console-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dav1d-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dav1d-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "dav1d-sys" feature of the "%{crate}" crate.

%files       -n %{name}+dav1d-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+decode_test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+decode_test-devel %{_description}

This package contains library source intended for building other packages which
use the "decode_test" feature of the "%{crate}" crate.

%files       -n %{name}+decode_test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+decode_test_dav1d-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+decode_test_dav1d-devel %{_description}

This package contains library source intended for building other packages which
use the "decode_test_dav1d" feature of the "%{crate}" crate.

%files       -n %{name}+decode_test_dav1d-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+desync_finder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+desync_finder-devel %{_description}

This package contains library source intended for building other packages which
use the "desync_finder" feature of the "%{crate}" crate.

%files       -n %{name}+desync_finder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dump_ivf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dump_ivf-devel %{_description}

This package contains library source intended for building other packages which
use the "dump_ivf" feature of the "%{crate}" crate.

%files       -n %{name}+dump_ivf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dump_lookahead_data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dump_lookahead_data-devel %{_description}

This package contains library source intended for building other packages which
use the "dump_lookahead_data" feature of the "%{crate}" crate.

%files       -n %{name}+dump_lookahead_data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fern-devel %{_description}

This package contains library source intended for building other packages which
use the "fern" feature of the "%{crate}" crate.

%files       -n %{name}+fern-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ivf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ivf-devel %{_description}

This package contains library source intended for building other packages which
use the "ivf" feature of the "%{crate}" crate.

%files       -n %{name}+ivf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nasm-rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nasm-rs-devel %{_description}

This package contains library source intended for building other packages which
use the "nasm-rs" feature of the "%{crate}" crate.

%files       -n %{name}+nasm-rs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quick_test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quick_test-devel %{_description}

This package contains library source intended for building other packages which
use the "quick_test" feature of the "%{crate}" crate.

%files       -n %{name}+quick_test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+scan_fmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+scan_fmt-devel %{_description}

This package contains library source intended for building other packages which
use the "scan_fmt" feature of the "%{crate}" crate.

%files       -n %{name}+scan_fmt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+scenechange-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+scenechange-devel %{_description}

This package contains library source intended for building other packages which
use the "scenechange" feature of the "%{crate}" crate.

%files       -n %{name}+scenechange-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signal-hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signal-hook-devel %{_description}

This package contains library source intended for building other packages which
use the "signal-hook" feature of the "%{crate}" crate.

%files       -n %{name}+signal-hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signal_support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signal_support-devel %{_description}

This package contains library source intended for building other packages which
use the "signal_support" feature of the "%{crate}" crate.

%files       -n %{name}+signal_support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm" feature of the "%{crate}" crate.

%files       -n %{name}+wasm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasm-bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm-bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm-bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+wasm-bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+y4m-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+y4m-devel %{_description}

This package contains library source intended for building other packages which
use the "y4m" feature of the "%{crate}" crate.

%files       -n %{name}+y4m-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
# We need optional dependencies for cargo-c to build
%cargo_generate_buildrequires -a
echo "cargo-c"

%build
%cargo_build
cargo cbuild --release \
    --destdir=%{buildroot} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --includedir=%{_includedir} \
    --pkgconfigdir=%{_libdir}/pkgconfig

%install
%cargo_install
cargo cinstall --release \
    --destdir=%{buildroot} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --includedir=%{_includedir} \
    --pkgconfigdir=%{_libdir}/pkgconfig
rm -v %{buildroot}%{_libdir}/librav1e.a

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
